ECHO(1)

NAZWA
echo - wyświetla wiersz tekstu

SKŁADNIA
echo [KRÓTKA-OPCJA]... [NAPIS]...
echo DŁUGA-OPCJA

OPIS

Wyświetla NAPIS(Y) na standardowe wyjście.

-n  nie wypisuje kończącego znaku nowego wiersza

-e  włącza interpretowania sekwencji specjalnych z ukośnikiem

-E  wyłącza interpretowanie sekwencji specjalnych z ukośnikiem (domyślnie)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli użyto opcji -e, to rozpoznawane są następujące sekwencje specjalne:

\\  odwrotny ukośnik

\a  dzwonek, alarm (BEL)

\b  backspace

\c  kończy wypisywanie wyniku

\e  escape

\f  wysuw strony

\n  znak nowego wiersza

\r  powrót karetki

\t  tabulacja pozioma

\v  tabulacja pionowa

\0NNN
    bajt o wartości ósemkowej NNN (1 do 3 cyfr)

\xHH
    bajt o wartości szesnastkowej HH (1 do 2 cyfr)

UWAGA: aktualnie używana powłoka może posiadać swoją wersję echo, która z reguły przesłania wersję opisaną w niniejszym podręczniku. Proszę zapoznać się z dokumentacją używanej powłoki, aby dowiedzieć się szczegółów o obsługiwanych opcjach. Aby wywołać opisaną tu wersję, można użyć polecenia env tzn. env echo ....

UWAGA: printf(1) jest zalecaną alternatywą nie posiadającą problemów z wyświetlaniem łańcuchów przypominających opcje.

AUTOR
Napisane przez Briana Foxa i Cheta Rameya.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2022 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
printf(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/echo>
lub lokalnie, za pomocą info '(coreutils) echo invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.